package com.muyu.web.config;

import com.dtflys.forest.annotation.BindingVar;
import com.dtflys.forest.reflection.ForestMethod;
import com.muyu.web.config.properties.ServiceConfigProperties;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Service;

/**
 * @Author: DongZeLiang
 * @date: 2024/6/10
 * @Description: Forest配置类
 * @Version: 1.0
 */
@Service("forsetConfig")
public class ForsetConfig {

    @Autowired
    private ServiceConfigProperties serviceConfigProperties;

    /**
     * 使用 @BindingVar 注解
     * 将变量名 baseUrl 和一段方法代码绑定
     * 该方法可以有一个 ForestMethod 类型的参数
     */
    @BindingVar("vehicleLoadUrl")
    public String getBaseUrl() {
        return serviceConfigProperties.getLoadReqUrl();
    }

}
