package com.muyu.web.config;

import com.muyu.web.config.properties.ServiceConfigProperties;
import com.muyu.web.domain.model.ServerConfigModel;
import com.muyu.web.service.ServerConfigService;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @Author: DongZeLiang
 * @date: 2024/6/10
 * @Description: 负载服务器配置
 * @Version: 1.0
 */
@Configuration
public class LoadServerConfig {

    /**
     * 静态引入，解决循环依赖的问题
     */
    private static final ServiceConfigProperties serviceConfigProperties = new ServiceConfigProperties();

    @Bean
    public ServiceConfigProperties serverConfig(ServerConfigService serverConfigService) {
        return serviceConfigProperties.modelToProperties(serverConfigService.get());
    }

    public static void modelToProperties(ServerConfigModel serverConfigModel){
        serviceConfigProperties.modelToProperties(serverConfigModel);
    }
}
